/*
 * File:		TCPLib.h
 *
 * Parts of this code are (c) Copyright 1988 by Apple Computer.  All rights reserved
 */
 
#define NUM_ALT_ADDRS		4
#define cacheFault			-23042

typedef struct hostInfo {
	long	rtnCode;
	char cname[255];
	unsigned long addr[NUM_ALT_ADDRS];
};

typedef OSErr (*OSErrProcPtr)();

#ifdef __cplusplus
extern "C" {
#endif

OSErr InitNetwork(void);
OSErr CloseResolver(void);
OSErr IPAddrToName (unsigned long addr, char *name);

#ifdef THINK_C

	typedef ProcPtr ResultProcPtr;
	
#else

	typedef pascal void (*ResultProcPtr)(struct hostInfo *hostInfoPtr, char *userDataPtr);

#endif

#ifdef __cplusplus
}
#endif
